Package org.silverpeas.components.kmelia.notification

# Class KmeliaNotifyTopicUserNotification

java.lang.Object
org.silverpeas.core.notification.user.builder.AbstractUserNotificationBuilder
org.silverpeas.core.notification.user.builder.AbstractResourceUserNotificationBuilder<org.silverpeas.core.node.model.NodeDetail>
org.silverpeas.core.notification.user.builder.AbstractTemplateUserNotificationBuilder<org.silverpeas.core.node.model.NodeDetail>
org.silverpeas.components.kmelia.notification.AbstractKmeliaUserNotification<org.silverpeas.core.node.model.NodeDetail>
org.silverpeas.components.kmelia.notification.AbstractKmeliaFolderUserNotification
org.silverpeas.components.kmelia.notification.KmeliaNotifyTopicUserNotification

All Implemented Interfaces:
  `org.silverpeas.core.notification.user.builder.UserNotificationBuilder`

public class KmeliaNotifyTopicUserNotification extends AbstractKmeliaFolderUserNotification

Author:
  Nicolas Eysseric

- ## Nested Class Summary

  ## Nested classes/interfaces inherited from class org.silverpeas.core.notification.user.builder.AbstractTemplateUserNotificationBuilder

  `org.silverpeas.core.notification.user.builder.AbstractTemplateUserNotificationBuilder.NotificationTemporal`

- ## Field Summary

  ### Fields inherited from class org.silverpeas.core.notification.user.builder.AbstractTemplateUserNotificationBuilder

  `CUSTOM_NOTIFICATION_SUBJECT, DEFAULT_NOTIFICATION_SUBJECT`

- ## Constructor Summary

  Constructors
  Constructor
  Description
  `KmeliaNotifyTopicUserNotification(org.silverpeas.core.node.model.NodeDetail node)`

- ## Method Summary

  Modifier and Type
  Method
  Description
  `protected String`
  `getBundleSubjectKey()`
  `protected String`
  `getTemplateFileName()`
  `protected Collection<String>`
  `getUserIdsToNotify()`

  ### Methods inherited from class org.silverpeas.components.kmelia.notification.AbstractKmeliaFolderUserNotification

  `getAction, getComponentInstanceId, getContributionAccessLinkLabelBundleKey, getPath, getResourceURL, getSender, perform, performNotificationResource, performTemplateData, stopWhenNoUserToNotify`

  ### Methods inherited from class org.silverpeas.components.kmelia.notification.AbstractKmeliaUserNotification

  `getHTMLNodePath, getLocalizationBundlePath, getNodeHeader, getNodeService, getOrganisationController, getTemplatePath`

  ### Methods inherited from class org.silverpeas.core.notification.user.builder.AbstractTemplateUserNotificationBuilder

  `createNotification, getTitle, getTitle, performBuild, performNotificationResource, performNotificationResource`

  ### Methods inherited from class org.silverpeas.core.notification.user.builder.AbstractResourceUserNotificationBuilder

  `getResource, initialize, initializeNotificationResourceData, isGroupCanBeNotified, isSendImmediately, isUserCanBeNotified, performBuild, setResource`

  ### Methods inherited from class org.silverpeas.core.notification.user.builder.AbstractUserNotificationBuilder

  `build, getBundle, getBundle, getContent, getExternalAddressesToNotify, getGroupIdsToNotify, getMessageType, getNotificationMetaData, getUserIdsToExcludeFromNotifying, stop`

  ### Methods inherited from class java.lang.Object

  `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- ## Constructor Details

  - ### KmeliaNotifyTopicUserNotification

    public KmeliaNotifyTopicUserNotification(org.silverpeas.core.node.model.NodeDetail node)

- ## Method Details

  - ### getBundleSubjectKey

    protected String getBundleSubjectKey()
    Overrides:
      `getBundleSubjectKey` in class `org.silverpeas.core.notification.user.builder.AbstractTemplateUserNotificationBuilder<org.silverpeas.core.node.model.NodeDetail>`

  - ### getUserIdsToNotify

    protected Collection<String> getUserIdsToNotify()
    Specified by:
      `getUserIdsToNotify` in class `org.silverpeas.core.notification.user.builder.AbstractUserNotificationBuilder`

  - ### getTemplateFileName

    protected String getTemplateFileName()
    Specified by:
      `getTemplateFileName` in class `org.silverpeas.core.notification.user.builder.AbstractTemplateUserNotificationBuilder<org.silverpeas.core.node.model.NodeDetail>`